package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;


import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MasterHonorTim
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_MasterHonorTim_T")
public class MasterHonorTim  extends BaseTransaction{
	@Column(name = "NomorSurat", nullable = false , length = 100)
	 @Caption(value = "NomorSurat")
	private Integer nomorSurat ;
	public Integer getNomorSurat() {
		return nomorSurat ;
	}
	public void setNomorSurat(Integer nomorSurat ) {
		this.nomorSurat  = nomorSurat ;
	}

	@Column(name = "NamaTim", nullable = false , length = 100)
	 @Caption(value = "NamaTim")
	private String namaTim ;
	public String getNamaTim() {
		return namaTim ;
	}
	public void setNamaTim(String namaTim ) {
		this.namaTim  = namaTim ;
	}

	@Column(name = "Jabatan", nullable = false , length = 100)
	 @Caption(value = "Jabatan")
	private String jabatan ;
	public String getJabatan() {
		return jabatan ;
	}
	public void setJabatan(String jabatan ) {
		this.jabatan  = jabatan ;
	}

	@Column(name = "Honorarium", nullable = false , length = 100)
	 @Caption(value = "Honorarium")
	private String honorarium ;
	public String getHonorarium() {
		return honorarium ;
	}
	public void setHonorarium(String honorarium ) {
		this.honorarium  = honorarium ;
	}

	

}